2019-01-22 03:02 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002344NetSurf[All Projects] Generalpublic2016-02-16 15:26
ReporterDave Higton 
Assigned ToDaniel Silverstone 
SeveritycrashReproducibilityalways 
StatusclosedResolutionfixed 
PlatformIyonixOSRISC OSOS Version5.22 (13-Apr-15)
Product Version3.4 
Target Version3.4Fixed in Version3.4 
Summary0002344: Page causes Netsurf to silently evaporate
DescriptionAfter a few seconds trying to open this URL, Netsurf disappears without a crash dump.
Steps To ReproduceJust go to http://www.bbc.co.uk/sport/0/athletics/33867962
Additional InformationOK up to CI 2783, fails in 2874, 2875, 2876 and 2882 (I don't have the others in between to test, and 2882 is the latest as I write).
TagsNo tags attached.
Fixed in CI build #2911
Reported in CI build #2874
URL of problem pagehttp://www.bbc.co.uk/sport/0/athletics/33867962
Attached Files

-Relationships
+Relationships

-Notes
Dave Higton

~0000888

Dave Higton (developer)

Although I reported the issue using 2874, it failed on attempting to view the report in Mantis. 2873 works, though (and I'm typing this with it).
David Pitt

~0000891

David Pitt (reporter)

Last edited: 2015-08-12 10:44

View 2 revisions

This appears to be a JavaScript issue. At tested with NetSurf #2891, NetSurf now starts up with JavaScript enabled irrespective of what Choices may have been saved in the previous session. Disable JavaScript and the site renders.

P.S. I got a crash dump which I have uploaded.

Daniel Silverstone

~0000892

Daniel Silverstone (administrator)

I currently can't get it to evaporate on that page for me, but I did find and fix a node leak with it, thank you.

I'll keep you informed when we get ready to disable the force-on of JS.
David Pitt

~0000893

David Pitt (reporter)

Now with #2892, going anywhere near BBC sport cause JavaScript to go BANG, http://www.bbc.co.uk/sport/
Daniel Silverstone

~0000894

Daniel Silverstone (administrator)

Do you mean the browser died, or just that there was a 'JAVASCRIPT WENT BANG' log entry?
David Pitt

~0000895

David Pitt (reporter)

The browser does die and produces the log.
David Pitt

~0000896

David Pitt (reporter)

Now on #2897, I see JS logging has been expanded, a second log has been uploaded.
Michael Drake

~0000899

Michael Drake (administrator)

The second log is for version #2892 and contains no extra logging.
Michael Drake

~0000910

Michael Drake (administrator)

Does 2911 work?

John-Mark has fixed a GCCSDK bug:

http://git.netsurf-browser.org/toolchains.git/commit/?id=e88575dbac2075d574d65bcc91f0e345ee2110d2
David Pitt

~0000912

David Pitt (reporter)

I am pleased to say that 2911 does indeed work. In addition to the example given originally the BBC's site is now OK as is NetSurf's changes page, http://ci.netsurf-browser.org/jenkins/job/netsurf/changes
Vincent Sanders

~0001302

Vincent Sanders (administrator)

Confirmed resolved in 3.4 release
+Notes

-Issue History
Date Modified Username Field Change
2015-08-11 19:36 Dave Higton New Issue
2015-08-11 19:39 Dave Higton Note Added: 0000888
2015-08-12 10:39 David Pitt File Added: NSlog.zip
2015-08-12 10:40 David Pitt Note Added: 0000891
2015-08-12 10:44 David Pitt Note Edited: 0000891 View Revisions
2015-08-12 12:47 Daniel Silverstone Note Added: 0000892
2015-08-12 12:47 Daniel Silverstone Assigned To => Daniel Silverstone
2015-08-12 12:47 Daniel Silverstone Status new => acknowledged
2015-08-12 13:32 David Pitt Note Added: 0000893
2015-08-12 14:13 Daniel Silverstone Note Added: 0000894
2015-08-12 14:22 David Pitt Note Added: 0000895
2015-08-12 14:55 David Pitt File Added: NSlog2.zip
2015-08-12 14:58 David Pitt Note Added: 0000896
2015-08-13 08:31 Michael Drake Note Added: 0000899
2015-08-14 20:25 Michael Drake Note Added: 0000910
2015-08-14 20:48 David Pitt Note Added: 0000912
2015-08-14 20:58 Vincent Sanders Fixed in CI build # => 2911
2015-08-14 20:58 Vincent Sanders Status acknowledged => resolved
2015-08-14 20:58 Vincent Sanders Resolution open => fixed
2015-08-14 20:58 Vincent Sanders Product Version => 3.4
2015-08-14 20:58 Vincent Sanders Fixed in Version => 3.4
2015-08-14 20:58 Vincent Sanders Target Version => 3.4
2016-02-16 15:26 Vincent Sanders Note Added: 0001302
2016-02-16 15:26 Vincent Sanders Status resolved => closed
+Issue History